(document:surround "/std/frame")

(define (apply-to-backend)
  (woo-write "/mkbootflash/"
      'device (device value)
      'img_dir (img_dir value)
      'live (live value)
      'rescue (rescue value)
      'memtest (memtest value)
      'install (install value)


      ))

(define (reset-from-backend)
  (let ((data (woo-read-first "/mkbootflash/")))
      (img_dir  value (woo-get-option data 'img_dir))
      (live_ok value (woo-get-option data 'live_ok))
      (rescue_ok value (woo-get-option data 'rescue_ok))
      (install_ok value (woo-get-option data 'install_ok))
      (memtest_ok value (woo-get-option data 'memtest_ok))
))

(gridbox columns "50;0;50"
  (spacer)
  (groupbox ""
    (gridbox columns "0;100"
      (label (_ "Device:") name "device")
      (document:id device (combobox name "device" enumref "/mkbootflash/"))
      (document:id img_dir (edit name "img_dir" visibility #f))

       (groupbox (_ "Availible boot types")

      (document:id install (checkbox text (_"Install") name "install") )
      (document:id install_ok (checkbox text "install_ok"  name "install_ok" visibility #f) )


      (document:id live (checkbox text (_"Live") name "live") )
      (document:id live_ok (checkbox text "live_ok"  name "live_ok" visibility #f) )


      (document:id rescue (checkbox text (_"Rescue") name "rescue") )
      (document:id rescue_ok (checkbox text "rescue_ok"  name "rescue_ok" visibility #f) )


      (document:id memtest (checkbox text (_"Memtest") name "memtest") )
            (document:id memtest_ok (checkbox text "memtest_ok"  name "memtest_ok" visibility #f) )

)
   ))
  (spacer)

  (spacer)
  (gridbox columns "50;50"
    (button (_ "Apply") (when clicked (apply-to-backend) (reset-from-backend)))
  )
  (spacer)
)

(effect-disable "rescue" "rescue_ok" "no")
(effect-disable "live" "live_ok" "no")
(effect-disable "install" "install_ok" "no")
(effect-disable "memtest" "memtest_ok" "no")



(document:root (when loaded
  (reset-from-backend)
  (init-effect)
))
